%global pypi_name argcomplete

# Currently it's broken: https://github.com/kislyuk/argcomplete/issues/174
%bcond_with check

Name:           python-%{pypi_name}
Summary:        Bash tab completion for argparse
Version:        3.5.0
Release:        %mkrel 1
Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/kislyuk/argcomplete
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
Argcomplete provides easy, extensible command line tab completion of arguments
for your Python script.

It makes two assumptions:
 * You are using bash as your shell
 * You are using argparse to manage your command line arguments/options

Argcomplete is particularly useful if your program has lots of options or
subparsers, and if your program can dynamically suggest completions for your
argument/option values (for example, if the user is browsing resources over the
network).

%package -n python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

# pkg_resources module is used from python-argcomplete-check-easy-install-script
Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
Argcomplete provides easy, extensible command line tab completion of arguments
for your Python script.

It makes two assumptions:
 * You are using bash as your shell
 * You are using argparse to manage your command line arguments/options

Argcomplete is particularly useful if your program has lots of options or
subparsers, and if your program can dynamically suggest completions for your
argument/option values (for example, if the user is browsing resources over the
network).

%prep
%autosetup -n %{pypi_name}-%{version}

# fix shebangs
# https://github.com/kislyuk/argcomplete/issues/255
# https://github.com/kislyuk/argcomplete/issues/256 
sed -i -e "1s|#!.*python.*|#!%{__python3}|" test/prog argcomplete/scripts/*
sed -i -e "s|python |python3 |" test/test.py

# Remove shebang from installed scripts
sed -i '/^#!/d' argcomplete/scripts/*.py

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-x test}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d/
install -p -m0644 %{buildroot}%{python3_sitelib}/%{pypi_name}/bash_completion.d/_python-argcomplete %{buildroot}%{_sysconfdir}/bash_completion.d/

%if %{with check}
%check
export LC_ALL=C.UTF-8
%{__python3} setup.py test
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.rst
%doc README.rst
%{_bindir}/activate-global-python-argcomplete
%{_bindir}/python-argcomplete-check-easy-install-script
%{_bindir}/register-python-argcomplete
%{_sysconfdir}/bash_completion.d/_python-argcomplete


%changelog
* Tue Aug 27 2024 neoclust <neoclust> 3.5.0-1.mga10
+ Revision: 2091788
- New version 3.5.0

* Thu Jun 27 2024 papoteur <papoteur> 3.4.0-1.mga10
+ Revision: 2077221
- new version 3.4.0

* Mon Dec 25 2023 wally <wally> 3.2.1-1.mga10
+ Revision: 2021421
- new version 3.2.1

* Fri Dec 08 2023 papoteur <papoteur> 2.0.0-2.mga10
+ Revision: 2015823
- rebuild for python 3.12

* Mon Sep 05 2022 neoclust <neoclust> 2.0.0-1.mga9
+ Revision: 1884004
- New version 2.0.0

* Wed Mar 23 2022 umeabot <umeabot> 1.12.3-3.mga9
+ Revision: 1822120
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 1.12.3-2.mga9
+ Revision: 1772037
- rebuild for python3.10

* Fri Aug 27 2021 wally <wally> 1.12.3-1.mga9
+ Revision: 1742770
- new version 1.12.3

* Sun Mar 14 2021 wally <wally> 1.12.2-1.mga9
+ Revision: 1702553
- new version 1.12.2
- rebuild for python 3.9

* Tue Sep 08 2020 guillomovitch <guillomovitch> 1.12.0-1.mga8
+ Revision: 1623663
- new version 1.12.0

* Sun Feb 16 2020 umeabot <umeabot> 1.10.0-2.mga8
+ Revision: 1530746
- Mageia 8 Mass Rebuild

* Thu Sep 05 2019 wally <wally> 1.10.0-1.mga8
+ Revision: 1437545
- new version 1.10.0
- drop python2 support
- rebuild for python3.8

* Wed Apr 17 2019 wally <wally> 1.9.5-1.mga7
+ Revision: 1392189
- new version 1.9.5

* Sun Jan 13 2019 wally <wally> 1.9.4-1.mga7
+ Revision: 1355928
- new version 1.9.4
- rename python-argcomplete as python2-argcomplete

* Sat Jan 05 2019 wally <wally> 1.9.2-3.mga7
+ Revision: 1349492
- rebuild for python3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.9.2-2.mga7
+ Revision: 1288240
- Mageia 7 Mass Rebuild

* Sun Nov 05 2017 mitya <mitya> 1.9.2-1.mga7
+ Revision: 1176024
- New version 1.9.2

* Sat Aug 05 2017 pterjan <pterjan> 1.8.2-2.mga7
+ Revision: 1135308
- Rebuild for python 3.6

* Mon Jul 17 2017 mitya <mitya> 1.8.2-1.mga7
+ Revision: 1124465
- Mageify
- imported package python-argcomplete


* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jan 26 2017 Igor Gnatenko <ignatenko@redhat.com> - 1.8.2-1
- Update to 1.8.2

* Thu Jan 26 2017 Igor Gnatenko <ignatenko@redhat.com> - 1.8.1-1
- Update to 1.8.1

* Sat Jan 07 2017 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.7.0-1
- Update to 1.7.0 (RHBZ #1339845)

* Fri Dec 09 2016 Charalampos Stratakis <cstratak@redhat.com> - 1.1.1-3
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Sun Mar 27 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.1.1-1
- Update to 1.1.1 (RHBZ #1320348)

* Mon Feb 22 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.1.0-1
- Update to 1.1.0 (RHBZ #1310473)

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Dec 05 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.0.0-3
- Ship bash completion file within RPM

* Sat Nov 14 2015 Toshio Kuratomi <toshio@fedoraproject.org> - 1.0.0-2
- A few minor changes to simplify and take care of cornercases

* Sat Nov 14 2015 Zbigniew Jędrzejewski-Szmek <zbyszek@laptop> - 1.0.0-1
- Update to latest version (#1227119)
- Use %%license
- Update to new python packaging style
- Remove 2to3 invocation, the code is already python3 compatible
- Move scripts to python3 subpackage
- Add Provides:/usr/bin/register-python-activate so packages can depend on it

* Fri Nov 06 2015 Robert Kuska <rkuska@redhat.com> - 0.8.9-4
- Rebuilt for Python3.5 rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jun 2 2015 - Steve Traylen <steve.traylen@cern.ch> 0.8.8-2
- Add python3 package (#1225934)

* Tue Jun 02 2015 Fedora Release Monitoring <release-monitoring@fedoraproject.org> - 0.8.9-1
- Update to 0.8.9 (#1227119)

* Tue May 5 2015 - Steve Traylen <steve.traylen@cern.ch> 0.8.8-1
- Updating package to 0.8.8

* Sun Dec 14 2014 - Dale Macartney <dbmacartney@fedoraproject.org> 0.8.4-1
- Updating package to 0.8.4

* Fri Sep 12 2014 - Steve Traylen <steve.traylen@cern.ch> 0.8.1-1
- Updating package to 0.8.1

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Apr 14 2014 - Dale Macartney <dbmacartney@fedoraproject.org> 0.8.0-1
- Updating package to 0.8.0

* Sun Mar 30 2014 - Dale Macartney <dbmacartney@fedoraproject.org> 0.7.1-1
- Updating package to 0.7.1

* Mon Mar 24 2014 - Dale Macartney <dbmacartney@fedoraproject.org> 0.7.0-1
- Updating package to 0.7.0

* Mon Jan 13 2014 - Dale Macartney <dbmacartney@fedoraproject.org> 0.6.7-2
- Removing '%%exclude %%{python_sitelib}/test' fom %%files as no longer needed.

* Mon Jan 13 2014 - Dale Macartney <dbmacartney@fedoraproject.org> 0.6.7-1
- Applying latest patch of argcomplete.

* Wed Jan 8 2014 - Dale Macartney <dbmacartney@fedoraproject.org> 0.6.3-4
- Pushing new build for update as previous was not picked up.

* Wed Oct 16 2013 - Dale Macartney <dbmacartney@gmail.com> 0.6.3-3
- Correct missing files for el6

* Tue Oct 15 2013 - Dale Macartney <dbmacartney@gmail.com> 0.6.3-2
- Initial packaging for Fedora Project and including LICENSE.rst in docs

* Thu Jan 31 2013 - Marco Neciarini <marco.nenciarini@2ndquadrant.it> 0.3.5-1
- Initial packaging.
